net.minecraft.pathfinding

## Class PathPoint

- java.lang.Object
- - net.minecraft.pathfinding.PathPoint

-     public class PathPoint
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isFirst` Indicates this is the origin
    `int` | `xCoord` The x coordinate of this point
    `int` | `yCoord` The y coordinate of this point
    `int` | `zCoord` The z coordinate of this point

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathPoint(int par1, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `distanceTo(PathPoint par1PathPoint)` Returns the linear distance to another path point
    `boolean` | `equals(Object par1Obj)`
    `float` | `func_75832_b(PathPoint par1PathPoint)`
    `int` | `hashCode()`
    `boolean` | `isAssigned()` Returns true if this point has already been assigned to a path
    `static int` | `makeHash(int par0, int par1, int par2)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xCoord

          public final int xCoord

      The x coordinate of this point

    - #### yCoord

          public final int yCoord

      The y coordinate of this point

    - #### zCoord

          public final int zCoord

      The z coordinate of this point

    - #### isFirst

          public boolean isFirst

      Indicates this is the origin

  - ### Constructor Detail

    - #### PathPoint

          public PathPoint(int par1,
                   int par2,
                   int par3)

  - ### Method Detail

    - #### makeHash

          public static int makeHash(int par0,
                     int par1,
                     int par2)

    - #### distanceTo

          public float distanceTo(PathPoint par1PathPoint)

      Returns the linear distance to another path point

    - #### func_75832_b

          public float func_75832_b(PathPoint par1PathPoint)

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isAssigned

          public boolean isAssigned()

      Returns true if this point has already been assigned to a path

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`